package com.xydl.cac.service;

import com.xydl.cac.entity.RemoteConfig;
import com.xydl.cac.exception.BusinessException;

import java.util.List;

public interface RemoteConfigService {

    List<RemoteConfig> listAll();

    RemoteConfig get(Integer id) throws BusinessException;

    RemoteConfig add(RemoteConfig item) throws Exception;

    void update(RemoteConfig item) throws Exception;

    void delete(Integer id);
}
